<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_FlightRequiredFields StructType
 * @subpackage Structs
 */
class JP_FlightRequiredFields extends AbstractStructBase
{
    /**
     * The FlightBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightBooking
     */
    public $FlightBooking;
    /**
     * Constructor method for JP_FlightRequiredFields
     * @uses JP_FlightRequiredFields::setFlightBooking()
     * @param \StructType\JP_FlightBooking $flightBooking
     */
    public function __construct(\StructType\JP_FlightBooking $flightBooking = null)
    {
        $this
            ->setFlightBooking($flightBooking);
    }
    /**
     * Get FlightBooking value
     * @return \StructType\JP_FlightBooking|null
     */
    public function getFlightBooking()
    {
        return $this->FlightBooking;
    }
    /**
     * Set FlightBooking value
     * @param \StructType\JP_FlightBooking $flightBooking
     * @return \StructType\JP_FlightRequiredFields
     */
    public function setFlightBooking(\StructType\JP_FlightBooking $flightBooking = null)
    {
        $this->FlightBooking = $flightBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_FlightRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
